using System;
using System.IO;

namespace Sample
{
	class Test
	{
		
		static void Main(string[] args)
		{

			//Insert one RTF document inside another RTF in memory			 
			//If you need more information about HTML-to-RTF Pro DLL .Net email us at:
			//support[at]sautinsoft.com						
			SautinSoft.HtmlToRtf h = new SautinSoft.HtmlToRtf();
			//After purchasing the license, please insert your serial number here to activate the component
			//h.Serial = "XXXXXXXXXXXXXXX";
			
			string firstRtf="";
			string secondRtf="";
			string singleRtf="";
			string stringToReplace = "{replace me}";

			//1. Read contents of the RTF files
			firstRtf=ReadFileString(@"d:\report1.rtf");
			secondRtf=ReadFileString(@"d:\report2.rtf");
			

			// Replaces all matches of string "whatReplaceInRtf" by the string "wherewithReplaceInRtf" and returns a new RTF document
			//In this example replaces all matches of the string "{replace me}" by the string from variable 'secondRtf'
			singleRtf = h.MergeAndReplaceRtfString(firstRtf,stringToReplace, secondRtf);
			
			//New RTF string based on rtfSource
			//null - operation failed
			if(singleRtf!="")
			{
				
				int ret=WriteToFile(@"d:\single.rtf",singleRtf);
				if (ret==0)
					System.Diagnostics.Process.Start(@"d:\single.rtf");
			}
		}
		public static string ReadFileString(string path)
        {
            FileStream fo = new FileStream(path, FileMode.Open, FileAccess.Read, FileShare.Read);
            byte[] bHtmlIn = new byte[((int)fo.Length)];
            try
            {
                fo.Read(bHtmlIn, 0, (int)fo.Length);
                fo.Close();
                char[] arCharRes = new char[bHtmlIn.Length];
                for (int i = 0; i < bHtmlIn.Length; i++)
                {
                    arCharRes[i] = (char)bHtmlIn[i];
                }
                return new string(arCharRes);
            }
            catch
            {
                return "";
            }
        }
		public static int WriteToFile(string fileName, string contents)
		{
			try
			{
				StreamWriter sw = new StreamWriter(fileName);
				sw.Write(contents);
				sw.Close();				
			}
			catch
			{
				return 2;
			}
			return 0;
		}

	}
}
