Imports System
Imports System.IO
Imports System.Text

Module Module1
    Sub Main()
        'In this example you will see how to specify page numbers in produced Word/RTF
        'If you need more information about HTML-to-RTF Pro DLL .Net email us at:
        'support[at]sautinsoft.com
        Dim h As New SautinSoft.HtmlToRtf
		'After purchasing the license, please insert your serial number here to activate the component
		'h.Serial = "XXXXXXXXXXXXXXX"

        h.PageStyle.PageMarginTop.mm(10.0F)

        'Let's set page numbers from 1st page
        h.PageStyle.PageNumbers.Appearance = SautinSoft.HtmlToRtf.ePageNumbers.PageNumFirst)
        'Lest's align page numbers by top-center
        h.PageStyle.PageNumbers.AlignV = SautinSoft.HtmlToRtf.eAlign.Top
        h.PageStyle.PageNumbers.AlignH = SautinSoft.HtmlToRtf.eAlign.Center
        'Lest's set page numbers format as "Page 1 of 20"
        h.PageStyle.PageNumbers.Format = "Page {page} of {numpages}"

        'convert HTML file to RTF file
        Dim ret As Integer = h.ConvertFile("..\..\..\..\..\Testing HTMLs\sample1.htm", "..\..\..\..\..\Testing HTMLs\Word document.rtf")

        '0 - converting successfully
        '1 - can't open input file or URL, check the input path
        '2 - can't create output file, check the output path
        '3 - converting failed
        If ret = 0 Then
            'Show produced RTF file
            System.Diagnostics.Process.Start("..\..\..\..\..\Testing HTMLs\Word document.rtf")
        End If
    End Sub
End Module
